﻿/* ------------------------------------------------
   The Whisky Exchange National Rum Day Feature
   Designed and Built by The Whisky Exchange
   All Rights Reserved

   Default CSS File

   Content:
   General

   ------------------------------------------------ */

/* ------------------------------------------------
   General
   ------------------------------------------------ */
/* Layout */
#tweFeature {
   background: url(/components/feature/nationalrumday/assets/application/images/background.jpg?v=1) center top no-repeat #FFEEB8;
   background-size: contain;
   font-size: 1.1em;
}
#tweFeature a:active, #tweFeature a:focus {
    outline: none;
}
/* Images */
#tweFeature.nationalRumDay img {
	display: block;
	height: auto;
    margin: 0 auto;
   	width: 100%;
}

/* ------------------------------------------------
   Tools
   ------------------------------------------------ */
#tweFeature.nationalRumDay .btnShopNow,
#tweFeature.nationalRumDay .btnBuyNow {
    background: #d61808;
    color: #fff;
    cursor: pointer;
    display: block;
    font-family: 'Open Sans', sans-serif;
    font-size: 1em;
    margin: 10px auto;
    padding: 8px;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
    width: 140px;
}
#tweFeature.nationalRumDay .btnShopNow .fa,
#tweFeature.nationalRumDay .btnBuyNow .fa {
   display: inline;
}
@media (min-width: 660px) {
    #tweFeature.nationalRumDay .btnShopNow,
    #tweFeature.nationalRumDay .btnBuyNow {
        width: 190px;
    }
}
/* ------------------------------------------------
   Main Styling
   ------------------------------------------------ */

#tweFeature.nationalRumDay .container {
    max-width: 960px;
}
/* Main Title */
#tweFeature.nationalRumDay .titlemain {
    margin: 0 auto;
    max-width: 280px;
    padding: 30px 0;
    text-align: center;
    width: 100%;
}
#tweFeature.nationalRumDay .titlemain h1 {
    color: #ff8300;
    font-family: 'Cherry Cream Soda', cursive;
    font-size: 2.5em;
    margin-bottom: 20px;
    text-shadow: 3px 1px 0px rgba(122, 48, 53, 1);
}
#tweFeature.nationalRumDay .titlemain h1 span {
    color: #7a3035;
    display: block;
    font-family: 'Playball', cursive;
    margin-bottom: 10px;
    text-shadow: none;
}
#tweFeature.nationalRumDay .titlemain p {
    color: #7a3035;
    font-family: 'Open Sans', sans-serif;
    font-style: italic;
}
#tweFeature.nationalRumDay .titlemain p span {
    font-weight: 700;
}


/* Top Banner */
#tweFeature.nationalRumDay .banner-shop-rums {
    background: url(/components/feature/nationalrumday/assets/application/images/bannerbase-mobile.png) no-repeat;
    display: block;
    width: 280px;
    padding: 20px 0;
    margin: 0 auto;
}
#tweFeature.nationalRumDay .banner-shop-rums .bottles.left {
    display:none;
}
#tweFeature.nationalRumDay .banner-shop-rums .caption {
    display: block;
    color: #ff8300;
    font-family: 'Cherry Cream Soda', cursive;
    font-size: 1.5em;
    text-align: center;
    text-transform: uppercase;
}
#tweFeature.nationalRumDay .banner-shop-rums .caption span {
    color: #7a3035;
    display: block;
}
#tweFeature.nationalRumDay .banner-shop-rums .caption .btnShopNow {
    font-size: 0.7em;    
}
#tweFeature.nationalRumDay .banner-shop-rums .bottles.right {
    display: block;
    margin-top: 30px;
}
#tweFeature.nationalRumDay .banner-shop-rums .bottles.right img {
    max-width: 313px;
    width: 60%;
}


/* Main Description */
#tweFeature.nationalRumDay .description-main {
    color: #7a3035;
    font-family: 'Open Sans', sans-serif;
    font-size: 1.2em;
    font-style: italic;
    margin: 0 auto;
    padding: 20px 0;
    text-align: center;
    width: 60%;
}
#tweFeature.nationalRumDay .description-main span { font-weight: 700; }


/* Products */
#tweFeature.nationalRumDay .product {
    display: table;
    padding: 40px 20px 20px;
}
#tweFeature.nationalRumDay .product-divider {
    background: url(/components/feature/nationalrumday/assets/application/images/divider-dots.png) no-repeat center center;
    height: 6px;
    margin: 0 20px;
}


#tweFeature.nationalRumDay .product.mojito { background-image: none; }
#tweFeature.nationalRumDay .product .col { text-align: center; }
#tweFeature.nationalRumDay .product .col.detail h2 {
    color: #ff8300;
    font-family: 'Playball', cursive;
    font-size: 2em;
    margin-bottom: 10px;
}
#tweFeature.nationalRumDay .product .col.detail .intro {
    width: 100%;
    margin: 0 auto;
}
#tweFeature.nationalRumDay .product .col.detail .divider {
    background: url(/components/feature/nationalrumday/assets/application/images/divider-glass.png);
    background-position: center top;
    background-repeat: no-repeat;
    margin-bottom: 10px;
    padding: 12px 0;
}
#tweFeature.nationalRumDay .product .col.detail h4 { color: #ff8300; }
#tweFeature.nationalRumDay .product .col.detail ul {
    margin: 0 auto;
    width: 100%;
}
#tweFeature.nationalRumDay .product .col.detail ul a {
    color: #7a3035;
}
#tweFeature.nationalRumDay .product .col.detail .intro,
#tweFeature.nationalRumDay .product .col.detail .ingredients,
#tweFeature.nationalRumDay .product .col.detail .method {
    color: #7a3035;
    margin-bottom: 10px;
}
#tweFeature.nationalRumDay .product .col .product-name {
    color: #7a3035;
    display: block;
    font-size: 1.2em;
}
#tweFeature.nationalRumDay .product .col .product-price {
    color: #ff8300;
    display: block;
    font-size: 1.2em;
    font-weight: 700;
}
#tweFeature.nationalRumDay .product.mojito .col.photo { display: table-footer-group; }
#tweFeature.nationalRumDay .product.mojito .col.photo img { display: none; }
#tweFeature.nationalRumDay .product.mojito .col.bottle img { max-width: 288px; }

#tweFeature.nationalRumDay .product.old-fashioned .col.bottle { display: table-footer-group; }
#tweFeature.nationalRumDay .product.old-fashioned .col.photo img { display: none; }
#tweFeature.nationalRumDay .product.old-fashioned .col.photo .btnShopNow.desktop { display: none; }
#tweFeature.nationalRumDay .product.old-fashioned .col.bottle .btnShopNow.mobile { display: block; }
#tweFeature.nationalRumDay .product.old-fashioned .col.bottle img { max-width: 288px; }

#tweFeature.nationalRumDay .product.planters-punch .col.photo { display: table-footer-group; }
#tweFeature.nationalRumDay .product.planters-punch .col.photo img { display: none; }
#tweFeature.nationalRumDay .product.planters-punch .col.bottle img { max-width: 288px; }


/* Black Tot Banner */
.banner-footer {
    padding: 10px;
}

@media (min-width: 660px) {
    /* Main Title */
    #tweFeature.nationalRumDay .titlemain { max-width: 480px; }
    #tweFeature.nationalRumDay .titlemain h1 { font-size: 3em; }
    /* Top Banner */
    #tweFeature.nationalRumDay .banner-shop-rums {
        background: url(/components/feature/nationalrumday/assets/application/images/bannerbase-desktop.png) no-repeat center center;
        background-size: contain;
        display: table;
        table-layout: fixed;
        width: 95%;
    }

    #tweFeature.nationalRumDay .banner-shop-rums .bottles.left,
    #tweFeature.nationalRumDay .banner-shop-rums .bottles.right,
    #tweFeature.nationalRumDay .banner-shop-rums .caption {
        display: table-cell;
        vertical-align: top;
    }

    #tweFeature.nationalRumDay .banner-shop-rums .bottles.right { margin-top: auto; }
    #tweFeature.nationalRumDay .banner-shop-rums .caption { padding: 7% 0; }
    #tweFeature.nationalRumDay .banner-shop-rums .bottles.left img,
    #tweFeature.nationalRumDay .banner-shop-rums .bottles.right img {
        max-width: 80%;
        width: 80%;
    }
    /* Products */
    #tweFeature.nationalRumDay .product {
        table-layout: fixed;
        width: 100%;
    }
    #tweFeature.nationalRumDay .product .col {
        display: table-cell;
        vertical-align: bottom;
    }
    #tweFeature.nationalRumDay .product .col.detail .intro,
    #tweFeature.nationalRumDay .product .col.detail ul {
        width: 70%;
    }
    #tweFeature.nationalRumDay .product.mojito .col.photo {display: table-cell; }
    #tweFeature.nationalRumDay .product.mojito .col.photo img { display: block; }
    #tweFeature.nationalRumDay .product.mojito .col.bottle img { max-width: 245px; }

    #tweFeature.nationalRumDay .product.old-fashioned .col.bottle { display: table-cell; }
    #tweFeature.nationalRumDay .product.old-fashioned .col.photo img { display: block; }
    #tweFeature.nationalRumDay .product.old-fashioned .col.bottle img { max-width: 288px; }
    #tweFeature.nationalRumDay .product.old-fashioned .col.photo .btnShopNow.desktop { display: block; }
    #tweFeature.nationalRumDay .product.old-fashioned .col.bottle .btnShopNow.mobile { display: none; }

    #tweFeature.nationalRumDay .product.planters-punch .col.photo { display: table-cell; }
    #tweFeature.nationalRumDay .product.planters-punch .col.photo img { display: block; }
    #tweFeature.nationalRumDay .product.planters-punch .col.bottle img { max-width: 258px; }

}

@media (min-width: 960px) {
    /* Main Title */
    #tweFeature.nationalRumDay .titlemain { max-width: 530px; }  
    #tweFeature.nationalRumDay .titlemain h1 { font-size: 3em; }
    /* Top Banner */
    #tweFeature.nationalRumDay .banner-shop-rums .caption { font-size: 2em; }
    #tweFeature.nationalRumDay .banner-shop-rums .bottles.left img {
        max-width: 304px;
        width: 100%;
    }
    #tweFeature.nationalRumDay .banner-shop-rums .bottles.right img {
        max-width: 313px;
        width: 100%;
    }
